// Entrées analogiques
const int Level0Pin = A0;
const int Level1Pin = A1;
const int Level2Pin = A2;
const int Level3Pin = A3;

// Sorties LEDs 
const int Level0LED = 2;
const int Level1LED = 3;
const int Level2LED = 4;
const int Level3LED = 5;

int ADC_Val=0; 
const int Seuil_0=400; // 1.9V (2.5V pour 512)

void setup() 
{    
    //Liaison série 
    Serial.begin(9600);

    // Indicateurs LEDs
    pinMode(Level0LED,OUTPUT);
    pinMode(Level1LED,OUTPUT);
    pinMode(Level2LED,OUTPUT);
    pinMode(Level3LED,OUTPUT);
}

void loop() 
{       
    // Lecture et Affichage A0
    ADC_Val=analogRead(Level0Pin);
    Serial.print(ADC_Val);  Serial.print("\t");
    SetStateLevel(ADC_Val, Seuil_0, Level0LED);
    delay(100);
    
    // Lecture et Affichage A1
    ADC_Val=analogRead(Level1Pin);
    Serial.print(ADC_Val); Serial.print("\t");
    SetStateLevel(ADC_Val, Seuil_0, Level1LED);
    delay(100);

    // Lecture et Affichage A2
    ADC_Val=analogRead(Level2Pin);
    Serial.print(ADC_Val); Serial.print("\t"); 
    SetStateLevel(ADC_Val, Seuil_0, Level2LED);

    // Lecture et Affichage A3
    ADC_Val=analogRead(Level3Pin);
    Serial.print(ADC_Val); Serial.print("\n"); 
    SetStateLevel(ADC_Val, Seuil_0, Level3LED);
    delay(100);
}

void SetStateLevel(int ADCVal, int Seuil, int LED_Pin)
{
  if(ADCVal > Seuil)
    {
      digitalWrite(LED_Pin, HIGH);
    }
    else
    {
      digitalWrite(LED_Pin, LOW);
    }
}
